import request from '@/router/axios';
//列表
export const getList = (current, size, params) => {
  return request({
    url: '/api/iot-sim/simcarddeliver/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}
export const getDetail = (id) => {
  return request({
    url: '/api/iot-sim/simcarddeliver/detail',
    method: 'get',
    params: {
      id
    }
  })
}
//新增
export const add = (row) => {
  return request({
    url: '/api/iot-sim/simcarddeliver/save',
    method: 'post',
    data: row
  })
}
//删除
export const remove = (ids) => {
  return request({
    url: '/api/iot-sim/simcarddeliver/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}
//修改
export const update = (row) => {
  return request({
    url: '/api/iot-sim/simcarddeliver/update',
    method: 'post',
    data: row
  })
}

//租户下拉
export const tenant = () => {
  return request({
    url: '/api/iot-system/tenant/fillData',
    method: 'get',
  })
}

//用户下拉
export const user = () => {
  return request({
    url: '/api/iot-system/user/fillData',
    method: 'get',
  })
}

