import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/iot-core/source/api/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/iot-core/source/api/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/iot-core/source/api/save',
    method: 'post',
    data: row
  })
}

export const update = (arr) => {
  return request({
    url: '/api/iot-core/source/api/update',
    method: 'post',
    data: arr
  })
}

export const remove = (id) => {
  return request({
    url: '/api/iot-core/source/api/remove',
    method: 'post',
    params: {
      id,
    }
  })
}

export const getSelect = (params) => {
  return request({
    url: '/api/iot-core/source/api/select',
    method: 'get',
    params: {
      ...params
    }
  })
}

export const change = (params) => {
  return request({
    url: '/api/iot-core/source/api/priceRecord/page',
    method: 'get',
    params: {
      ...params,
    }
  })
}
