import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/iot/device/log/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/iot/device/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/iot/device/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/iot/device/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/iot/device/submit',
    method: 'post',
    data: row
  })

}

/**
 * 获取消息内容详情
 * @param id
 */
export const getMessageDetail = (id) => request({
  url: '/api/iot/device/log/message',
  params: {
    id,
  },
});
