import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/iot/server/consumer/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/iot/server/consumer/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (id) => {
  return request({
    url: '/api/iot/server/consumer/remove',
    method: 'post',
    params: {
      id,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/iot/server/consumer/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/iot/server/consumer/submit',
    method: 'post',
    data: row
  })
}

/**
 * 获取消费组订阅产品列表
 * @param consumerId
 */
export const getSubscribeProductList = (consumerId) => request({
  url: '/api/iot/server/consumer/subscribeList',
  params: {
    consumerId,
  },
});

/**
 * 获取消费组订阅服务列表
 * @param consumerToken
 */
export const getSubscribeServerList = (consumerToken) => request({
  url: '/api/iot/server/client/list',
  params: {
    consumerToken,
  },
});
