import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/iot/server/subscribe/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/iot/server/subscribe/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (id) => {
  return request({
    url: '/api/iot/server/subscribe/remove',
    method: 'post',
    params: {
      id,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/iot/server/subscribe/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/iot/server/subscribe/update',
    method: 'post',
    data: row
  })

}
