import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/iot/ali/consumer/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/iot/ali/consumer/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (id) => {
  return request({
    url: '/api/iot/ali/consumer/remove',
    method: 'post',
    params: {
      id,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/iot/ali/consumer/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/iot/ali/consumer/update',
    method: 'post',
    data: row
  })
}

export const getAliConsumerTree = (configId) => {
  return request({
    url: '/api/iot/ali/consumer/select',
    method: 'get',
    params: {
      configId,
    }
  })
}
