import {dateFormat} from "@/util/date";
export const downloadFiles = (res, msg, type, isTime = true) => {
  let blob = new Blob([res.data]);
  let contentDisposition = res.headers["content-disposition"];
  let patt = new RegExp("filename=([^;]+\\.[^\\.;]+);*");
  let result = patt.exec(contentDisposition);
  let filename;
  if (result) {
    filename = result[1];
  } else {
    const time = dateFormat(new Date(), "yyyyMMddHHmmss");
    filename = msg + (isTime ? time : "") + "." + type;
  }
  let downloadElement = document.createElement("a");
  let href = window.URL.createObjectURL(blob); //创建下载的链接
  let reg = /^["](.*)["]$/g;
  downloadElement.style.display = "none";
  downloadElement.href = href;
  downloadElement.download = decodeURI(filename.replace(reg, "$1")); //下载后文件名
  document.body.appendChild(downloadElement);
  downloadElement.click(); //点击下载
  document.body.removeChild(downloadElement); //下载完成移除元素
  window.URL.revokeObjectURL(href); //释放掉blob对象
}
